Bug 986071 - [abrt] cmyktool-0.1.6-0.5.pre1.fc19: CMYKConversionOptsDialog::CMYKConversionOptsDialog: Process /usr/bin/cmyktool was killed by signal 11 (SIGSEGV)
[abrt] cmyktool-0.1.6-0.5.pre1.fc19: CMYKConversionOptsDialog::CMYKConversion...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cmyktool (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Máirín Duffy
Fedora Extras Quality Assurance
abrt_hash:55e75134188dacbc668fa6fb697...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 18:01 EDT by monts
Modified: 2015-02-17 11:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:14:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (73.69 KB, text/plain)
2013-07-18 18:01 EDT, monts
no flags Details
File: cgroup (126 bytes, text/plain)
2013-07-18 18:01 EDT, monts
no flags Details
File: core_backtrace (3.89 KB, text/plain)
2013-07-18 18:01 EDT, monts
no flags Details
File: dso_list (7.62 KB, text/plain)
2013-07-18 18:01 EDT, monts
no flags Details
File: environ (4.25 KB, text/plain)
2013-07-18 18:01 EDT, monts
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-18 18:01 EDT, monts
no flags Details
File: maps (42.06 KB, text/plain)
2013-07-18 18:01 EDT, monts
no flags Details
File: open_fds (582 bytes, text/plain)
2013-07-18 18:01 EDT, monts
no flags Details
File: proc_pid_status (905 bytes, text/plain)
2013-07-18 18:01 EDT, monts
no flags Details
File: var_log_messages (312 bytes, text/plain)
2013-07-18 18:02 EDT, monts
no flags Details

  None (edit)
Description monts 2013-07-18 18:01:17 EDT
Description of problem:
Used cmyktool on a jpeg tonemapped with luminance-hdr file name untitled_pregamma_1_mantiuk06_contrast_mapping_0.1_saturation_factor_0.8_detail_factor_1.jpeg
Program crashed .. 

Version-Release number of selected component:
cmyktool-0.1.6-0.5.pre1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        cmyktool
crash_function: CMYKConversionOptsDialog::CMYKConversionOptsDialog
executable:     /usr/bin/cmyktool
kernel:         3.11.0-0.rc1.git1.2.fc20.x86_64
runlevel:       N 5
uid:            0
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 CMYKConversionOptsDialog::CMYKConversionOptsDialog at conversionoptsdialog.cpp:236
 #1 CMYKConversionOptions_Dialog at conversionoptsdialog.cpp:720
 #2 TestUI::combochanged at cmyktool.cpp:543
 #3 _g_closure_invoke_va at gclosure.c:840
 #9 gtk_option_menu_changed at gtkoptionmenu.c:703
 #10 gtk_option_menu_update_contents at gtkoptionmenu.c:796
 #11 _g_closure_invoke_va at gclosure.c:840
 #14 gtk_menu_shell_activate_item at gtkmenushell.c:1307
 #15 gtk_menu_shell_button_release at gtkmenushell.c:730
 #16 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
Comment 1 monts 2013-07-18 18:01:23 EDT
Created attachment 775527 [details]
File: backtrace
Comment 2 monts 2013-07-18 18:01:26 EDT
Created attachment 775528 [details]
File: cgroup
Comment 3 monts 2013-07-18 18:01:30 EDT
Created attachment 775529 [details]
File: core_backtrace
Comment 4 monts 2013-07-18 18:01:34 EDT
Created attachment 775530 [details]
File: dso_list
Comment 5 monts 2013-07-18 18:01:39 EDT
Created attachment 775531 [details]
File: environ
Comment 6 monts 2013-07-18 18:01:43 EDT
Created attachment 775532 [details]
File: limits
Comment 7 monts 2013-07-18 18:01:47 EDT
Created attachment 775533 [details]
File: maps
Comment 8 monts 2013-07-18 18:01:50 EDT
Created attachment 775534 [details]
File: open_fds
Comment 9 monts 2013-07-18 18:01:57 EDT
Created attachment 775535 [details]
File: proc_pid_status
Comment 10 monts 2013-07-18 18:02:00 EDT
Created attachment 775536 [details]
File: var_log_messages
Comment 11 kesigomu.hun 2013-09-26 06:29:16 EDT
After starting CMYKTool I get warning message: "Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 14: reading configurations from ~/.fonts.conf is deprecated." 
I'm adding my colour profiles path in CMYKTool preferences and save this preferences.
Open an image, select this image, but can't select previous settings tab. When I click on "Previous settings" or select in Edit menu --> Preset editor then CMYKTool crashing. (message is "Segmentation fault (core dumped)" )

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        cmyktool
crash_function: CMYKConversionOptsDialog::CMYKConversionOptsDialog
executable:     /usr/bin/cmyktool
kernel:         3.10.11-200.fc19.x86_64
package:        cmyktool-0.1.6-0.5.pre1.fc19
reason:         Process /usr/bin/cmyktool was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 12 Fedora End Of Life 2015-01-09 14:00:06 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 11:14:55 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.